=head1 TITLE

Parrot

=head1 The Parrot Bytecode Interpreter

Parrot is a common bytecode format and interpreter for dynamic
languages; it is designed to run Perl 6 code efficiently, but 
is also intended to be language-agnostic. 

=head2 Documentation

The Parrot documentation is spread across the following files:

=over 3

=item F<intro.pod>

An introductory article on what Parrot is and how to do some
interesting things with it.

=item F<overview.pod>

An overview of the Parrot architecture and design.

=item F<running.pod>

Brief descriptions of the different executables and how to
run them.

=item F<faq.pod>

The Parrot FAQ.

=item F<core_ops.pod>

Description of the core opcodes in the Parrot assembly language.

=item F<parrot_assembly.pod>

The master list of Parrot assembly operations; not all of these have
been implemented, so you should stick to F<core_ops> when writing
your assembly programs.

=item F<io_ops.pod>

Description of the opcodes used in Parrot's IO subsystem.

=item F<vtables.pod>

Describes what PMCs are and how they work.

=item F<embed.pod>

Describes the embedding subsystem in excruciating detail.

=item F<jit.pod>

A brief description of Parrot's Just-In-Time compiler.

=item F<parrotbyte.pod>

The Parrot bytecode format.

=item F<packfile-perl.pod>, F<packfile-c.pod>

The APIs for accessing packed bytecode files (packfiles) from Perl
and C. 

=item F<strings.pod>

A description of the string implementation.

=item F<tests.pod>

Hints on writing tests for the Parrot interpreter.

=back

=head2 Supported Platforms

Parrot compiles and runs on a large number of platforms, including
all common ones. The Parrot team is committed to supporting the 
following combinations as "core platforms": Linux (x86), CygWin,
Win32, Tru64, OpenVMS (Alpha), Solaris (Sparc), FreeBSD (x86).

=head2 Authors

Parrot is developed and maintained by the members of the
C<perl6-internals@perl.org> mailing list. 

=over 4

=item * Dan Sugalski (C<dan@sidhe.org>) is the chief architect.

=item * Simon Cozens (C<simon@netthink.co.uk>) was the release manager for releases 0.0.1 through 0.0.4.

=item * Jeff Goff (C<drforr@hargray.com>) is the current release manager.

=back

=head2 Web pages

See:

=over 4

=item * L<http://dev.perl.org/>

=item * L<http://cvs.perl.org/>

=item * L<http://www.parrotcode.org/>

=back

for more information.
